/* ==========================================
   RESPONSIVE CSS
========================================== */

/* Large Desktop */
@media (min-width: 1400px) {
  .container {
    max-width: 1400px;
    margin: auto;
  }
}

/* ===============================
   TABLET VIEW (768px - 991px)
================================ */
@media (max-width: 991px) {

  body {
    overflow-x: hidden;
  }

  .container {
    width: 95%;
    padding: 0 15px;
  }

  /* Header */
  .header {
    padding: 12px 20px;
  }
  .description {
    max-width: 100%;
    margin: 0px auto 20px;
    font-size: 16px;
    line-height: 1.8;
    color: #5c4c57;
    text-align: center;
    font-family: var(--secondary-font);
}
.section-desc {
    max-width: 100%;
    margin: 0 auto 60px;
    font-family: var(--secondary-font);
    color: #564753;
    font-size: 16px;
    line-height: 1.8;
}
  .logo img {
    width: 110px;
  }

  .btn {
    padding: 15px 20px;
    font-size: 14px;
    letter-spacing: 2px;
   
  }

  /* Menu */
  .menu-inner {
    flex-direction: column;
    align-items: flex-start;
    padding: 120px 40px;
  }

  .menu-item {
    font-size: 32px;
    line-height: 50px;
    height: auto;
    margin-left: 0;
  }

  .menu-right {
    width: 100%;
    margin-top: 30px;
  }

  .menu .menu-items-label {
    display: none;
  }

  /* Hero */
  .hero {
    height: auto;
    min-height: 100vh;
    padding: 100px 20px;
  }

  .hero-content {
    width: 100%;
    padding: 0 15px;
  }

  .main-title {
    font-size: 70px;
  }

  .main-title img {
    width: 220px;
  }

  .tagline {
    font-size: 14px;
  }

  /* Section Title */
  .section-title__inner {
    padding: 20px;
  }

  .section-title__inner em {
    font-size: 35px;
    line-height: 1.4;
  }

  .section-title__inner p {
    width: 100%;
    font-size: 18px;
  }

  /* About Section */
  .about-section {
    flex-direction: column;
    padding: 80px 30px;
    gap: 40px;
  }

  .about-image,
  .about-content {
    width: 100%;
    flex: 100%;
  }

  .about-image img {
    height: auto;
  }

  .about-content h2 {
    font-size: 40px;
  }

  /* Services */
  .therapy-cards,
  .contact-boxes,
  .why-choose .container {
    flex-direction: column;
  }
  .btnn {
    padding: 18px 35px;
    border-radius: 35px;
    text-decoration: none;
    font-size: 14px;
    font-weight: 500;
    min-width: 49%;
    text-align: center;
    height: 55px;
}

  .therapy-card,
  .contact-card {
    width: 100%;
  }

  /* Wellness Cards */
  .wellness-card {
    min-height: auto;
  }

  .wellness-img {
    height: 300px;
    border-radius: 150px 150px 0 0;
  }

  /* Massage Section */
  .massage-section {
    flex-direction: column;
    gap: 40px;
  }

  .massage-image,
  .massage-content {
    width: 100%;
  }

  .massage-image img {
    height: auto;
  }

  .button-wrap {
    width: 100%;
  }

  /* Team */
  .team-wrapper,
  .team-wrapper.reverse {
    grid-template-columns: 1fr;
    text-align: center;
  }

  /* Footer */
  .footer-top {
    grid-template-columns: repeat(1, 1fr);
    gap: 40px;
    padding: 40px 30px;
  }

  .footer-bottom {
    flex-direction: column;
    text-align: center;
  }

  /* Parallax */
  .parallax-section,
  .ayurveda-parallax,
  .wellness-parallax,
  .aesthetic-parallax
  .parallax-img  {
    background-attachment: scroll;
    height: 60vh;
  }

  .parallax-content h2 {
    font-size: 45px;
  }

  .parallax-content p {
    font-size: 18px;
  }
}


/* ===============================
   MOBILE VIEW (320px - 767px)
================================ */
@media (max-width: 767px) {

  body {
    overflow-x: hidden;
  }
  .menu-toggle {
    padding-left: 0px;
}

  .container {
    width: 100%;
    padding: 0px 15px ;
  }
  .overlay h1 {
    color: #fff;
    font-size: 32px;
    letter-spacing: 3px;
    font-weight: 300;
    padding-top: 50px;
}
  .press-section {
    background: #fff;
    padding: 0px 0;
    text-align: center;
}
.section-desc {
    max-width: 100%;
    margin: 0 auto 60px;
    font-family: var(--secondary-font);
    color: #564753;
    font-size: 16px;
    line-height: 1.8;
}

  /* Header */
  .header {
    padding: 10px 15px;
  }

  .logo img {
   display: none;
  }

  .btn {
    font-size: 12px;
    padding: 12px 15px;
    letter-spacing: 1px;
  }
  .about-us p {
    max-width: 100%;
 
}
.tune-btn {
    display: inline-flex;
    align-items: center;
    gap: 15px;
    position: absolute;
    z-index: 99999999;
    left: 25%;
    padding: 8px 30px;
    border: 1px solid #5b3d2c;
    border-radius: 50px;
    text-decoration: none;
    color: #5b3d2c;
    font-size: 18px;
    font-weight: 400;
    letter-spacing: 1px;
    transition: .3s;
    margin: 20px 0px 0px;
}
.about-us {
    position: relative;
    background: #fff;
    overflow: hidden;
    padding: 80px 0px 230px;
}
.about-container {
    max-width: 850px;
    margin: 0 auto;
    padding-bottom: 0px;
}
.services-section {
    position: relative;
    padding: 10px 20px;
    background: #f8f8f8;
    text-align: center;
    overflow: hidden;
}
.description {
    max-width: 100%;
    margin: 0px auto 20px;
    font-size: 14px;
    line-height: 1.8;
    color: #5c4c57;
    text-align: center;
    font-family: var(--secondary-font);
}
.footer-brand p {
    max-width: 100%;
    margin: auto;
    font-size: 14px;
    line-height: 1.7;
}
.why-choose {
    padding: 39px 8%;
    background: #f8f8f8;
}

.why-content h2 {
    font-size: 35px;
    margin: 15px 0;
}
.why-item {
    display: flex;
    align-items: center;
    gap: 12px;
    font-size: 14px;
    color: #333;
}
.service-btn {
    display: inline-flex;
    align-items: center;
    gap: 20px;
    padding: 10px 20px;
    border: 1px solid #5b3d2c;
    background: #5b3d2c;
    color: #fff;
    text-decoration: none;
    border-radius: 50px;
    font-size: 11px;
    text-transform: uppercase;
    transition: 0.3s;
    margin-bottom: 30px;
}

  /* Menu */
  .menu-inner {
    padding: 100px 25px;
  }

  .menu-item {
    font-size: 24px;
    line-height: 40px;
    margin: 8px 0;
  }

  .menu-right {
    width: 100%;
    margin-top: 20px;
  }

  .menu .menu-items-label {
    display: none;
  }

  /* Hero */
  .hero {
    min-height: 70vh;
    padding: 120px 20px 60px;
  }

  .small-text {
    font-size: 13px;
    letter-spacing: 1px;
  }

  .main-title {
    font-size: 42px;
    letter-spacing: 2px;
  }

  .main-title img {
    width: 150px;
  }

  .tagline {
    font-size: 12px;
    line-height: 1.6;
  }

  .scroll-indicator {
    bottom: 20px;
  }

  /* Section Content */
  .section-title__inner {
    padding: 0;
  }

  .section-title__inner em {
    font-size: 28px;
    line-height: 1.4;
  }

  .section-title__inner p {
    width: 100%;
    font-size: 16px;
  }

  /* About */
  .about-section {
    padding: 60px 20px;
    gap: 30px;
  }

  .about-content h2 {
    font-size: 32px;
  }

  .about-content p {
    font-size: 16px;
  }

  /* Service Cards */
  .therapy-card {
    min-height: auto;
    padding: 35px 20px;
  }

  .therapy-card h3 {
    font-size: 28px;
  }

  .btn-group {
    flex-direction: column;
  }

  .btnn {
    width: 70%;
  }

  /* Wellness Cards */
  .wellness-img {
    height: 250px;
    border-top-left-radius: 120px;
    border-top-right-radius: 120px;
  }

  .wellness-content {
    padding: 25px 20px;
  }

  .wellness-content h3 {
    font-size: 22px;
  }

  /* Testimonials */
  .testimonial-card {
    padding: 30px 20px;
    height: auto;
  }

  .testimonial-content h3 {
    font-size: 24px;
  }

  .testimonial-content p {
    font-size: 15px;
  }

  /* About Us Circle */
  .rotating-image-section {
    width: 100%;
    height: auto;
    bottom: -150px;
  }

  .circle-wrapper {
    width: 320px;
    height: 320px;
  }

  .center-image {
    width: 120px;
    height: auto;
  }

  /* Contact */
  .contact-boxes {
    flex-direction: column;
    gap: 20px;
  }

  .contact-card {
    padding: 30px 20px;
  }

  .bottom-contact {
    flex-direction: column;
    text-align: center;
    gap: 15px;
  }

  .divider-vertical {
    display: none;
  }

  /* Massage Section */
  .massage-section {
    flex-direction: column;
    padding: 40px 20px;
    gap: 30px;
  }
  .book-btn-1 {
    flex: 1;
    height: 55px;
    background: #9d2417;
    color: #fff;
    border-radius: 60px;
    display: flex;
    align-items: center;
    justify-content: center;
    text-decoration: none;
    font-size: 14px;
    font-weight: 400;
    transition: all 0.4s ease;
}
.contact-boxes {
    display: flex;
    gap: 35px;
    margin-top: 37px;
}
.wave {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 0px !important;
}
.divider {
    width: 100%;
    height: 1px;
    background: rgba(255, 255, 255, .6);
    margin-bottom: 0px;
}
.contact-block-content {
    padding: 30px 25px 20px;
    text-align: center;
    border-radius: 12px;
    background: #5e3f2e;
    cursor: pointer;
    height: 142px;
}
.contact-content {
    font-size: 16px !important;
    color: #fff;
}
.whatsapp-btn {
    width: 55px;
    height: 55px;
    background: #9d2417;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    color: #fff;
    font-size: 26px;
    text-decoration: none;
}

  .massage-image,
  .massage-content {
    width: 100%;
  }

  .massage-image img {
    height: auto;
  }

  .massage-content h2 {
    font-size: 30px;
  }

  .button-wrap {
    
    width: 100%;
  }
/* 
  .book-btn-1,
  .whatsapp-btn {
    width: 20%;
  } */

  /* Team */
  .image-shape {
    width: 280px;
    height: 280px;
  }
  

  .image-shape img {
    width: 190px;
  }


  /* Footer */
  .footer-top {
    grid-template-columns: 1fr;
    padding: 30px 20px;
    gap: 30px;
   
  }

  .footer-bottom {
    flex-direction: column;
    text-align: center;
    padding: 20px;
  }

  .footer-policy {
    flex-direction: column;
    gap: 10px;
  }
  .menu-item .text {
    display: block;
    height: 51px;
    transition: transform 0.8s cubic-bezier(0.25, 1, 0.5, 1);
}

  /* Parallax */
  .parallax-section,
  .ayurveda-parallax,
  .wellness-parallax,
  .aesthetic-parallax {
    height: 45vh;
    background-attachment: scroll;
  }

  .parallax-content h2 {
    font-size: 30px;
    letter-spacing: 2px;
  }

  .parallax-content p {
    font-size: 14px;
  }

  /* Fix overflow */
  img,
  video {
    max-width: 100%;
    height: auto ;
  }
  .center-image {
    position: absolute;
    left: 50%;
    top: 40%;
    z-index: 2;
}
.custom-prev, .custom-next {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    width: 40px;
    height: 40px;
    border-radius: 50%;
    background: rgb(120 60 50 / 93%);
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    z-index: 10;
    font-size: 28px;
    color: #fff;
    transition: .3s;
}
.logo-item img {
    max-width: 150px;
    width: 100%;
    height: auto;
    filter: grayscale(100%);
    transition: 0.3s;
}
  .testimonial-section {
    padding: 25px 0 50px;
    background: #f5f5f5;
}
.press-section .container {
    max-width: 1400px;
    margin: 0 auto;
    padding: 0 15px;
    padding-bottom: 40px;
}
.scroll {
    align-items: center;
    bottom: 0px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    position: absolute;
    background: var(--white-color);
    width: 30px;
    height: 30px;
    border-radius: 50px;
}
}

/* ===============================
   TABLET VIEW
================================ */
@media (max-width: 991px) {

    .parallax-img {
        height: 70vh;
        background-attachment: scroll;
        background-position: center center;
        padding: 40px 20px;
        
    }
    .section-heading {
    text-align: center;
    max-width: 100%;
    margin: auto;
}

    .book-btn {
        top: 20px;
        left: 50%;
        transform: translateX(-50%);
        padding: 14px 35px;
        font-size: 16px;
        white-space: nowrap;
    }

    .content h1 {
        font-size: 70px;
        letter-spacing: 8px;
    }

    .content p {
        font-size: 18px;
        letter-spacing: 8px;
    }
    .hero-bg {
    position: absolute;
    top: 0;
    background: #000;
    left: 0;
    width: 100%;
    height: 100vh ;
    filter: brightness(0.50);
}
}


/* ===============================
   MOBILE VIEW
================================ */
@media (max-width: 767px) {

    .parallax-img {
        height: 40vh;
        background-attachment: scroll;
        background-position: center;
        padding: 20px 15px;
        object-fit: contain;
    }
    .why-image img {
    width: 100%;
    border-radius: 20px;
    height: auto !important;
    object-fit: cover;
    }
    .banner-content h1 {
    color: #f5ece5;
    font-size: 25px;
    font-weight: 300;
    letter-spacing: 8px;
    text-transform: uppercase;
    font-family: Arial, sans-serif;
}
.section-heading {
    text-align: center;
    max-width: 100%;
    margin: auto;
}
.bottom-contact {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 30px;
    margin-top: 70px;
    padding-top: 35px;
    border-top: 1px solid #b9aca4;
    color: #5c5555;
    font-size: 18px;
}


    .book-btn {
        top: 25px;
        left: 50%;
        transform: translateX(-50%);
        padding: 12px 28px;
        font-size: 14px;
        border-radius: 50px;
        width: auto;
        min-width: 180px;
        text-align: center;
    }

    .content h1 {
        font-size: 38px;
        letter-spacing: 3px;
        line-height: 1.2;
    }

    .content p {
        font-size: 14px;
        letter-spacing: 3px;
        margin-bottom: 20px;
    }
    .contact-item p {
    font-size: 14px;
    line-height: 1.7;

}


}

